# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename agent-base

Name:               nodejs-agent-base
Version:            2.0.1
Release:            4%{?dist}
Summary:            Turn a function into an `http.Agent` instance

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/agent-base
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# https://github.com/TooTallNate/node-agent-base/pull/3
Patch0:             nodejs-agent-base-node4.patch
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6


%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(semver)
BuildRequires:      npm(extend)
%endif


%description
This module provides an http.Agent generator. That is, you pass it an async
callback function, and it returns a new http.Agent instance that will invoke
the given callback function when sending outbound HTTP requests.

%prep
%autosetup -p 1 -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep semver

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/agent-base
cp -pr package.json agent.js patch-core.js \
    %{buildroot}%{nodejs_sitelib}/agent-base

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md History.md
%{nodejs_sitelib}/agent-base/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 2.0.1-2
- Patch tests to work on nodejs 4

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 2.0.1-1
- Update to 2.0.1 upstream release

* Sat Sep  5 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-3
- Package missing files

* Sun Aug 30 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-2
- fixdep semver

* Sun Aug 30 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-1
- Update to new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Initial packaging for Fedora.
